package com.steering.pss.judge.model;
/**
 * 数据库表QCM_BASE_LANGUAGE所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2018-12-15
 */
@SuppressWarnings("serial")
public class QcmBaseLanguageEntity implements java.io.Serializable {
    /**
     * 原始值
     */
    private String originalValue = "";
    /**
     * 语言代码
     */
    private String languageCode = "";
    /**
     * 语言描述
     */
    private String languageName = "";
    /**
     * 对应语言的翻译后的值
     */
    private String resultValue = "";
    /**
     * 主键
     */
    private String id = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 作废人
     */
    private String deleteName = "";
    /**
     * 作废时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 类型
     */
    private String type = "";
    /**
     * 大项
     */
    private String type2 = "";
    /**
     * 小项
     */
    private String type3 = "";

    /**
     * 原始值
     * @return value
     */
    public String getOriginalValue() {
        return originalValue;
    }

    /**
     * 原始值
     * @param originalValue value
     */
    public void setOriginalValue(String originalValue) {
        this.originalValue = originalValue;
    }

    /**
     * 语言代码
     * @return value
     */
    public String getLanguageCode() {
        return languageCode;
    }

    /**
     * 语言代码
     * @param languageCode value
     */
    public void setLanguageCode(String languageCode) {
        this.languageCode = languageCode;
    }

    /**
     * 语言描述
     * @return value
     */
    public String getLanguageName() {
        return languageName;
    }

    /**
     * 语言描述
     * @param languageName value
     */
    public void setLanguageName(String languageName) {
        this.languageName = languageName;
    }

    /**
     * 对应语言的翻译后的值
     * @return value
     */
    public String getResultValue() {
        return resultValue;
    }

    /**
     * 对应语言的翻译后的值
     * @param resultValue value
     */
    public void setResultValue(String resultValue) {
        this.resultValue = resultValue;
    }

    /**
     * 主键
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 作废人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 作废时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 类型
     * @return value
     */
    public String getType() {
        return type;
    }

    /**
     * 类型
     * @param type value
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 大项
     * @return value
     */
    public String getType2() {
        return type2;
    }

    /**
     * 大项
     * @param type2 value
     */
    public void setType2(String type2) {
        this.type2 = type2;
    }

    /**
     * 小项
     * @return value
     */
    public String getType3() {
        return type3;
    }

    /**
     * 小项
     * @param type3 value
     */
    public void setType3(String type3) {
        this.type3 = type3;
    }
}